ホーム

ベンチャーのオフィス動画などが
見れる転職サイトはこちら

chartjsが使えない?'Module parse failed Unexpected token'を解決する方法

いつもご利用ありがとうございます。このブログは、広告費によって運営されています。

⇨ Laravel 記事の目次はこちら

Vue で Chartjs を使おうとした時、

npm install chart.js

というコマンドを打ったら、ERROR in ./node_modules/chart.js/dist/chart.esm.js Module parse failed: Unexpected token (6813:12)

というエラーが発生しました。

ちくしょーーー!

⇨Vue+Vuetifyのオススメ動画教材

目次

  1. 結論

結論

Chart.js のバージョンが Vue のバージョンと合っていませんでした

僕の場合は、Vue2 を使っていたので、

npm install chart.js@2.9.4

を打てば動きました!やったぜ!!!

まとめ

npm のバージョン問題が原因でした!

感想や記事の誤りについては Twitter から DM していただければと思います!

それでは!